Skip to main content
Settings/AD/LDAP/OAuth Operations
GETAD/LDAP/OAuth OperationsSince 2.2SynchronousAuth Required

GetLdapEntry

GetLdapEntry

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Query Parameters

Request Inputs

Query Parameters

  • ldapFilterStringRequired

    The query condition.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

  • limitInteger

    Optional. The maximum number of returned records. This parameter is similar to the limit field of MySQL.

Responses

200 OK

On success, this API returns the following response structure.

  • inventoriesListRequired

    No description provided.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

Endpoint

GET/zstack/v1/ldap/entry

/zstack/v1/ldap/entry

Operation ID

GetLdapEntry

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/ldap/entry?ldapFilter=<ldapFilter>&systemTags=<systemTags>&userTags=<userTags>&limit=1' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "attributes": [ { "id": "userPrincipalName", "orderMatters": false, "values": [ "weiqi@adtest.zs" ], "valuesAsNames": {} }, { "id": "displayName", "orderMatters": false, "values": [ "zstest" ], "valuesAsNames": {} }, { "id": "name", "orderMatters": false, "values": [ "weiqi" ], "valuesAsNames": {} }, { "id": "distinguishedName", "orderMatters": false, "values": [ "CN=weiqi,OU=ui,OU=zstest,DC=adtest,DC=zs" ], "valuesAsNames": {} }, { "id": "cn", "orderMatters": false, "values": [ "weiqi" ], "valuesAsNames": {} }, { "id": "objectClass", "orderMatters": false, "values": [ "top", "person", "organizationalPerson", "user" ], "valuesAsNames": {} } ], "dn": "CN=weiqi,OU=ui,OU=zstest,dc=adtest,dc=zs" } ], "success": true }

Change History

This API has no change history records yet.

View all change history